Bug 238826 - Package obsoletes itself which crashes yum
Package obsoletes itself which crashes yum
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 03:28 EDT by Martin Poole
Modified: 2007-09-17 07:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0736
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 12:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
R32 rpmlint output (1.67 KB, text/plain)
2007-05-03 11:30 EDT, Greg Nichols
no flags Details
R45 rpmlint output (2.27 KB, text/plain)
2007-05-03 11:31 EDT, Greg Nichols
no flags Details

  None (edit)
Description Martin Poole 2007-05-03 03:28:08 EDT
Description of problem:

Attemping to to install the hardware test suite via yum fails with a recursion
limit traceback.

Version-Release number of selected component (if applicable):

hts-5.0-31.noarch

How reproducible:

Always

Steps to Reproduce:
1. Subscribe a RHEL5 machine to hardware cert channel
2. "yum install hts"
3.
  
Actual results:

yum crashes with recursion limit reached.

Expected results:

package installation

Additional info:

spec file specifies the package obsoletes itself, this is redundant and causes
the yum crash.
Comment 1 Greg Nichols 2007-05-03 09:20:41 EDT
Fixed R45
Comment 3 Greg Nichols 2007-05-03 11:30:02 EDT
Created attachment 154039 [details]
R32 rpmlint output
Comment 4 Greg Nichols 2007-05-03 11:31:23 EDT
Created attachment 154040 [details]
R45 rpmlint output
Comment 5 Greg Nichols 2007-05-03 12:31:31 EDT
Other R45 rpmlint errors fixed in R46.
Comment 8 Red Hat Bugzilla 2007-08-02 12:30:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0736.html

Note You need to log in before you can comment on or make changes to this bug.